%define name gtkballs
%define version 2.0
%define release 1
%define prefix /usr

%define builddir $RPM_BUILD_DIR/%{name}-%{version}

Summary: A simple logic game
Summary(fr): Un simple jeu de logique
Summary(ru):     

Name: %{name}
Version: %{version}
Release: %{release}
Group: Amusements/Games
Group(fr): Amusements/Jeux
Copyright: GPL
Vendor: Sergey Pinaev <dfo@antex.ru>
Url: http://gtkballs.antex.ru
Packager: ObiTuarY <obituary@freshmeat.net>
Distribution: Freshmeat RPMs
Source0: %{name}-%{version}.tar.gz
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
Requires: gtk+ >= 1.2.0 glib >= 1.2.0

%changelog

* Wed Sep  1 1999 Eugene Morozov <jmv@lucifer.dorms.spbu.ru>
- Changed my Email address because I check yahoo mail seldom.
  Added installation of gnome icon.
  Fixed several bugs in the spec file.

%description
GtkBalls is a simple logic game. The goal of
the game is to make the maximum number of lines
with balls of the same color. A line is made of
five balls. Each time you don't do a line, extra
balls appear on the grid. You loose when the
grid is full.

%description -l fr
GtkBalls est un simple jeu de logique. Le but du
jeu est de faire le nombre maximum de lignes avec
des balles de la mme couleur. Une ligne est
constitue de cinq balles. A chaque fois que vous
ne faites pas une ligne, des balles suplmentaires
apparaissent sur la grille. Vous perdez lorsque
la grille est pleine.

%description -l ru
GtkBalls --    .   
 --     
  .    
    -- 5 .     
   ,     
  .   ,
        .

%prep

%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} --localstatedir=/var/lib/games \
	    --datadir=/usr/share/games
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{etc/X11/applnk/Games,var/lib/games}
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man6}
make prefix=$RPM_BUILD_ROOT%{prefix} \
     datadir=$RPM_BUILD_ROOT/usr/share/games \
     localstatedir=$RPM_BUILD_ROOT/var/lib/games \
     install-strip
mv $RPM_BUILD_ROOT/usr/bin/gtkballs $RPM_BUILD_ROOT/usr/X11R6/bin
mv $RPM_BUILD_ROOT/usr/man/man6/gtkballs.6x \
   $RPM_BUILD_ROOT/usr/X11R6/man/man6/gtkballs.6x
gzip -9f $RPM_BUILD_ROOT/usr/X11R6/man/man6/*.6x
cp %{builddir}/GtkBalls.desktop $RPM_BUILD_ROOT/etc/X11/applnk/Games
cp %{builddir}/gnome-gtkballs.png $RPM_BUILD_ROOT/etc/X11/applnk/Games
touch $RPM_BUILD_ROOT/var/lib/games/gtkballs-scores

%files
%attr(644,root,root) %config(missingok) /etc/X11/applnk/Games/*.desktop
%attr(644,root,root) %config(missingok) /etc/X11/applnk/Games/*.png

%attr(755,root,games) /usr/X11R6/bin/gtkballs

%attr(644,root,root) /usr/X11R6/man/man6/*.6x.gz

%attr(755,root,root) %dir /usr/share/games/gtkballs
%attr(644,root,root) /usr/share/games/gtkballs/*.xpm
%attr(644,root,root) /usr/share/games/gtkballs/COPYING

%attr(755,root,root) %dir /usr/share/games/gtkballs/themes
%attr(755,root,root) %dir /usr/share/games/gtkballs/themes/Default
%attr(644,root,root) /usr/share/games/gtkballs/themes/Default/*.xpm
%attr(755,root,root) %dir /usr/share/games/gtkballs/themes/Skull
%attr(644,root,root) /usr/share/games/gtkballs/themes/Skull/*.xpm
%attr(755,root,root) %dir /usr/share/games/gtkballs/themes/small
%attr(644,root,root) /usr/share/games/gtkballs/themes/small/*.xpm

%attr(644,root,root) /usr/share/locale/*/LC_MESSAGES/*.mo

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf %{builddir}

%post
if [ ! -f /var/lib/games/gtkballs-scores ]; then
    touch /var/lib/games/gtkballs-scores
    chmod 666 /var/lib/games/gtkballs-scores
fi
