/* GtkBalls
 * Copyright (C) 1998-1999 Eugene V. Morozov
 * Modifyed in 2001 by drF_ckoff
 * $Id: gtkballs.h,v 1.1.1.1 1999/10/23 20:25:05 jmv Exp $
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef __GTKBALLS__H
#define __GTKBALLS__H

#include <config.h>

#ifdef HAVE_NLS
#  include <locale.h>
#ifdef HAVE_LIBINTL_H
#include <libintl.h>
#endif                          /* HAVE_LIBINTL_H */
#    define _(String) gettext (String)
#    ifdef gettext_noop
#        define N_(String) gettext_noop (String)
#    else
#        define N_(String) (String)
#    endif
#else                           /* HAVE_NLS not defined */
/* Stubs that do something close enough.  */
#    define textdomain(String) (String)
#    define gettext(String) (String)
#    define dgettext(Domain,Message) (Message)
#    define dcgettext(Domain,Message,Type) (Message)
#    define bindtextdomain(Domain,Directory) (Domain)
#    define _(String) (String)
#    define N_(String) (String)
#endif                          /* HAVE_NLS */

#define usleep(x) my_usleep(x)

/* for definition of NUMBER_OF_CELLS. must be removed... */
#include "interface.h"

void my_usleep(gint); /* defined in interface.c */

typedef struct {
        GdkPixmap *pixmap;
        GdkBitmap *mask;
        gint      xsize, ysize;
} gbPixmap;

extern gint Board[NUMBER_OF_CELLS][NUMBER_OF_CELLS];
extern gint BoardUndo[NUMBER_OF_CELLS][NUMBER_OF_CELLS];
extern gint NextColors[5];
extern gint NextColorsUndo[5];

extern GtkWidget *main_window;
extern GtkStyle  *style;
extern GtkWidget *DrawingArea;

#endif /* __GTKBALLS__H */
